com.sun.grid.jgdi.event

## Class PETaskModEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.ModEvent
      - - com.sun.grid.jgdi.event.PETaskModEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PETaskModEvent
      extends ModEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PETaskModEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PETask` | `get()`
    `java.lang.String` | `getId()` Get the id of the PETask
    `int` | `getJobId()` Get the jobId of the PETask
    `int` | `getTaskNumber()` Get the taskNumber of the PETask
    `void` | `set(PETask obj)`
    `void` | `setPKInfo(int numKey1, int numKey2, java.lang.String strKey1, java.lang.String strKey2)` Set the primary key info of the PETask.

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PETaskModEvent

          public PETaskModEvent(long timestamp,
                                int eventID)

  - ### Method Detail

    - #### set

          public void set(PETask obj)

    - #### get

          public PETask get()

    - #### setPKInfo

          public void setPKInfo(int numKey1,
                                int numKey2,
                                java.lang.String strKey1,
                                java.lang.String strKey2)

      Set the primary key info of the PETask. This method is not indented for public usage. It is called from the native code to set the primary key info of cull event.
      Specified by:
        `setPKInfo` in class `ChangedObjectEvent`
      Parameters:
        `numKey1` - first numerical key
        `numKey2` - second numerical key
        `strKey1` - fist string key
        `strKey2` - second string key

    - #### getJobId

          public int getJobId()

      Get the jobId of the PETask
      Returns:
        the jobId of the PETask

    - #### getId

          public java.lang.String getId()

      Get the id of the PETask
      Returns:
        the id of the PETask

    - #### getTaskNumber

          public int getTaskNumber()

      Get the taskNumber of the PETask
      Returns:
        the taskNumber of the PETask

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.